| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_fileheader Struct Reference

Top-level file header for a BLF (Binary Logging Format) capture file. More...

`#include <blf.h>`

## Public Attributes
uint8_t | magic [4]
uint32_t | header_length
uint32_t | api_version
uint8_t | application
uint8_t | compression_level
uint8_t | application_major
uint8_t | application_minor
uint64_t | len_compressed
uint64_t | len_uncompressed
uint32_t | obj_count
uint32_t | application_build
blf_date_t | start_date
blf_date_t | end_date
uint32_t | restore_point_offset
uint8_t | padding []

## Detailed Description

Top-level file header for a BLF (Binary Logging Format) capture file.

## Member Data Documentation

## ◆ api_version

uint32_t blf_fileheader::api_version

BLF API version, decimal encoded.

## ◆ application

uint8_t blf_fileheader::application

Numeric identifier of the application that created this file.

## ◆ application_build

uint32_t blf_fileheader::application_build

Build number of the creating application.

## ◆ application_major

uint8_t blf_fileheader::application_major

Major version number of the creating application.

## ◆ application_minor

uint8_t blf_fileheader::application_minor

Minor version number of the creating application.

## ◆ compression_level

uint8_t blf_fileheader::compression_level

Compression level applied to log container data.

## ◆ end_date

blf_date_t blf_fileheader::end_date

Date and time of the last recorded event.

## ◆ header_length

uint32_t blf_fileheader::header_length

Total length in bytes of this file header.

## ◆ len_compressed

uint64_t blf_fileheader::len_compressed

Total size of the file data before decompression, in bytes.

## ◆ len_uncompressed

uint64_t blf_fileheader::len_uncompressed

Total size of the file data after decompression, in bytes.

## ◆ magic

uint8_t blf_fileheader::magic[4]

File magic number; must be "LOGG".

## ◆ obj_count

uint32_t blf_fileheader::obj_count

Total number of objects stored in this file.

## ◆ padding

uint8_t blf_fileheader::padding[]

Padding bytes to align the header to the required boundary.

## ◆ restore_point_offset

uint32_t blf_fileheader::restore_point_offset

File offset to the restore point used for crash recovery.

## ◆ start_date

blf_date_t blf_fileheader::start_date

Date and time of the first recorded event.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h